#!/bin/bash
surum=5.1.15
sonek=milis
depmod ${surum}-$sonek
cd /boot
[ -L /boot/kernel ] && rm -rf /boot/kernel
ln -s kernel-$surum kernel

initr=""

if [ -f initramfs ];then
	mv initramfs initramfs_eski
	initr="initramfs"
fi

if [ -f initrd ];then
	mv initrd initrd_eski
	initr="initrd"
fi

[ -f /usr/bin/dracut ] && dracut -N --force --xz --omit systemd --add-drivers "ahci" -f /boot/${initr} $surum-$sonek
[ -f /usr/bin/os-prober ] && os-prober

if [ -f /usr/bin/grub-mkconfig ];then
	grub-mkconfig -o /boot/grub/grub.cfg
fi

cd -
